{% extends 'base.html.twig' %}

{% set bodyClass = 'registry_mesurement list' %}
{% set menuItem = 'registry_mesurement' %}

{% block title %}{{ 'registry.mesurement.title.list'|trans }} - {{ parent() }}{% endblock %}

{% block stylesheets %}
    <link rel="stylesheet" href="https://cdn.datatables.net/1.10.16/css/dataTables.bootstrap.min.css">
{% endblock %}

{% block body_head %}
    <h1>{{ 'registry.mesurement.title.list'|trans }}</h1>
{% endblock %}

{% block breadcrumb %}
    {% set breadcrumb = [
        { 'name': 'registry.mesurement.title.list'|trans }
    ] %}
    {% include '_breadcrumb.html.twig' with {'breadcrumb': breadcrumb} %}
{% endblock %}

{% block body %}
    <div class="row">
            <div class="col-xs-12">
                <div class="action-bar">
                    {% if is_granted('ROLE_USER') %}
                    <a href="{{ path('registry_mesurement_create') }}" class="btn btn-default">
                        <i class="fa fa-plus"></i>
                        {{ 'registry.mesurement.action.new'|trans }}
                    </a>
                    {% endif %}
                    <a href="{{ path('registry_mesurement_report') }}" class="btn btn-default">
                        <i class="fa fa-clipboard-list"></i>
                        {{ 'registry.treatment.action.report'|trans }}
                    </a>
                </div>
            </div>
    </div>

    <div class="row">
        <div class="col-xs-12">
            <div class="box box-solid">
                <div class="box-body">
                    <table id="table" class="table table-bordered table-hover">
                        <thead>
                        <tr>
                            <th>{{ 'registry.mesurement.list.name'|trans }}</th>
                            {% if is_granted('ROLE_ADMIN') %}
                                <th>{{ 'registry.mesurement.list.collectivity'|trans }}</th>
                            {% endif %}
                            <th>{{ 'registry.mesurement.list.status'|trans }}</th>
                            <th>{{ 'registry.mesurement.list.cost'|trans }}</th>
                            <th>{{ 'registry.mesurement.list.charge'|trans }}</th>
                            {% if is_granted('ROLE_USER') %}
                                <th>{{ 'label.actions'|trans }}</th>
                            {% endif %}
                        </tr>
                        </thead>
                        <tbody>
                        {% for object in objects %}
                            <tr>
                                <td>
                                    <a href="{{ path('registry_mesurement_show', {'id': object.id}) }}">
                                        {{ object.name }}
                                    </a>
                                </td>
                                {% if is_granted('ROLE_ADMIN') %}
                                    <td>{{ object.collectivity }}</td>
                                {% endif %}
                                <td>{{ object.status|dictionary('registry_mesurement_status') }}</td>
                                <td>{{ object.cost }}</td>
                                <td>{{ object.charge }}</td>
                                {% if is_granted('ROLE_USER') %}
                                    <td>
                                        <a href="{{ path('registry_mesurement_edit', { 'id': object.id }) }}">
                                            <i class="fa fa-pencil-alt"></i>
                                            {{ 'action.edit'|trans }}
                                        </a>
                                        <a href="{{ path('registry_mesurement_delete', { 'id': object.id }) }}">
                                            <i class="fa fa-trash"></i>
                                            {{ 'action.delete'|trans }}
                                        </a>
                                    </td>
                                {% endif %}
                            </tr>
                        {% endfor %}
                        </tbody>
                    </table>

                </div>
            </div>
        </div>
    </div>
{% endblock %}

{% block javascripts %}
    {{ include('_Utils/_datatable.html.twig') }}
{% endblock %}
